import { requestClient ,fullUrl } from '#/api/request';

async function queryPage(param) {
  return requestClient.post('/auth/RobotRunningInfo/queryPage', param);
}

async function queryList(param) {
  return requestClient.post('/auth/RobotRunningInfo/queryList', param);
}

async function create(param) {
  return requestClient.post('/auth/RobotRunningInfo/addOne', param);
}

async function removeByUid(param) {
  return requestClient.post('/auth/RobotRunningInfo/removeByUid/' + param.uuid, param);
}

async function updateByUid(param) {
  return requestClient.post('/auth/RobotRunningInfo/updateByUid/' + param.uuid, param);
}

async function getById(param) {
  return requestClient.post('/auth/RobotRunningInfo/getById', param);
}

async function getByUuid(param) {
  return requestClient.post('/auth/RobotRunningInfo/getByUuid', param);
}

/**
 * 导出全部数据URL
 */
function exportAllUrl(param) {
  return fullUrl('/auth/RobotRunningInfo/export', param);
}

/**
 * 导出部分数据URL
 */
function exportPartUrl(param) {
  return fullUrl('/auth/RobotRunningInfo/export', param);
}

/**
 * 下载模板URL
 */
function downloadTemplateUrl(param) {
  return fullUrl('/auth/RobotRunningInfo/downloadTemplate', param);
}

/**
 * 导出全部数据
 */
async function exportAll(param) {
  return requestClient.post('/auth/RobotRunningInfo/export', param);
}

/**
 * 导出部分数据
 */
async function exportPart(param) {
  return requestClient.post('/auth/RobotRunningInfo/exportPart', param);
}

/**
 * 下载模板
 */
async function downloadTemplate(param) {
  return requestClient.post('/auth/RobotRunningInfo/downloadTemplate', param);
}

export const robotRunningInfo = {
  queryPage,
  queryList,
  create,
  removeByUid,
  updateByUid,
  getById,
  getByUuid,
  exportAllUrl,
  exportPartUrl,
  downloadTemplateUrl,
  exportAll,
  exportPart,
  downloadTemplate,
}